package com.example.nto.controller;

import com.example.nto.dto.PassDTO;
import com.example.nto.dto.TerminalDTO;
import com.example.nto.service.PassService;
import com.example.nto.service.TerminalService;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/api/passes")
@RequiredArgsConstructor
public class PassController {

    private final PassService passService;

    @GetMapping("/paginated/")
    public ResponseEntity<List<PassDTO>> getAllPassesAtUser(
            @RequestParam long userId,
            @RequestParam(defaultValue = "0") int page,
            @RequestParam(defaultValue = "10") int size
    ) {
        Pageable pageable = PageRequest.of(page, size);
        return ResponseEntity.ok(passService.getAllPassesPaginated(pageable, userId));
    }
}