package com.example.nto.repository;

import com.example.nto.entity.Employee;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface EmployeeRepository extends JpaRepository<Employee, Long> {

    @Query("select e from Employee e where e.login = ?1")
    Optional<Employee> findByLogin(String login);
    @Query("select e from Employee e where e.id = ?1")
    Employee findById(long id);
    @Query("select count(e) = 1 from Employee e where login = ?1")
    Boolean findExistByLogin(String login);

}
