package com.example.nto.service.impl;

import com.example.nto.dto.PassDTO;
import com.example.nto.repository.PassRepository;
import com.example.nto.service.PassService;
import com.example.nto.utils.PassMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
@RequiredArgsConstructor
public class PassServiceImpl implements PassService {

    private final PassRepository passRepository;


    @Override
    public List<PassDTO> getPassAtUser(long id) {
        return passRepository.findAll().stream()
                .filter(pass -> pass.getEmployee().toString().equals(id))
                .map(PassMapper::convertDTO)
                .collect(Collectors.toList());
    }
    @Override
    public List<PassDTO> getAllPassesPaginated(Pageable pageable, long id) {
        return passRepository.findAll(pageable)
                .filter(pass -> pass.getEmployee().toString().equals(id))
                .map(PassMapper::convertDTO).toList();
    }
}